VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsGetContainer8"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Guide to the Perplexed - Rabbit Test
' Copyright (c) 1997 by Desaware Inc. all Rights Reserved


Option Explicit


Public Event ContainerRequest(ContainerObject As Object)

' This method raises an event in the container which
' retrieves an object reference to its container
Public Function GetContainer() As Object
    Dim obj As Object
    RaiseEvent ContainerRequest(obj)
    Set GetContainer = obj
End Function
